Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.32
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.util
Class URLEncoder

    java.lang.Object
      org.apache.catalina.util.URLEncoder

    public class URLEncoder

extends java.lang.Object

This class is very similar to the java.net.URLEncoder class. Unfortunately, with java.net.URLEncoder there is no way to specify to the java.net.URLEncoder which characters should NOT be encoded. This code was moved from DefaultServlet.java

Author:
  Craig R. McClanahan, Remy Maucherat

Field Summary
`protected static char[]` | `hexadecimal`
`protected java.util.BitSet` | `safeCharacters`

Constructor Summary
`URLEncoder()`

Method Summary
`void` | `addSafeCharacter(char c)`
`java.lang.String` | `encode(java.lang.String path)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### hexadecimal

    protected static final char[] hexadecimal

### safeCharacters

    protected java.util.BitSet safeCharacters

Constructor Detail

### URLEncoder

    public URLEncoder()

Method Detail

### addSafeCharacter

    public void addSafeCharacter(char c)

### encode

    public java.lang.String encode(java.lang.String path)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.32
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.